/* Common styles for all menus */
.menu {
	line-height: 1;

}

ul.has-transitions .menu__link::before{background:none;}

.menu__list {
	position: relative;
	display: -webkit-flex;
	display: flex;
	-webkit-flex-wrap: wrap;
	flex-wrap: wrap;
	margin: 0;
	padding: 0;
	list-style: none;
}

.menu__item {
	display: block;
	margin: 1em 0;
}

.menu__link {
	font-size: 1.05em;
	font-weight: bold;
	display: block;
	padding: 1em;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	-webkit-touch-callout: none;
	-khtml-user-select: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.menu__link:hover,
.menu__link:focus {
	outline: none;
}

/* Adrian */
.menu__link{padding-bottom:20px;}
.menu--adrian .menu__item {
	margin: 0 ;
}

.menu--adrian .menu__link {
	position: relative;
	overflow: hidden;

	padding: 1em 40px 1em 0px;
	color: #000;
}

.menu--adrian .menu__link:hover,
.menu--adrian .menu__link:focus {
	color: #929292;
}

.menu--adrian .menu__item--current .menu__link {
	color: #d94f5c;
}

.menu--adrian .menu__link::before {
	content: '';
	position: absolute;
	bottom: 0;
	left: 0;
	width:400%;
	height: 50px;
	opacity: 0;
	background: url(../img/line.svg) no-repeat top left;
	-webkit-transform: translate3d(50px, 0, 0);
	transform: translate3d(50px, 0, 0);
	-webkit-transition: -webkit-transform 0s 0.7s, opacity 0.3s;
	transition: transform 0s 0.7s, opacity 0.7s;
}

.menu--adrian .menu__item--current .menu__link::before {
	opacity: 1;
	-webkit-transform: translate3d(-350px, 0, 0);
	transform: translate3d(-350px, 0, 0);
	-webkit-transition: -webkit-transform 1s;
	transition: transform 1s;
}

.menu--adrian .menu__helper {
	display: block;
	pointer-events: none;
}

.menu--adrian .menu__item--current .menu__helper {
	-webkit-animation: anim-adrian 0.3s forwards;
	animation: anim-adrian 0.3s forwards;
}

@-webkit-keyframes anim-adrian {
	50% {
		opacity: 0;
		-webkit-transform: translate3d(0, -100%, 0);
		transform: translate3d(0, -100%, 0);
	}

	51% {
		opacity: 0;
		-webkit-transform: translate3d(0, 100%, 0);
		transform: translate3d(0, 100%, 0);
	}

	100% {
		opacity: 1;
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(0, 0, 0);
	}
}

@keyframes anim-adrian {
	50% {
		opacity: 0;
		-webkit-transform: translate3d(0, -100%, 0);
		transform: translate3d(0, -100%, 0);
	}

	51% {
		opacity: 0;
		-webkit-transform: translate3d(0, 100%, 0);
		transform: translate3d(0, 100%, 0);
	}

	100% {
		opacity: 1;
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(0, 0, 0);
	}
}

@media screen and (max-width:959px)
{
	#cd-nav.is-fixed ul li a {padding: 18px;}
	.menu--adrian .menu__link::before{background:none;}
	
}
